Bug 1033578 (CVE-2013-6378) - CVE-2013-6378 Kernel: drivers: libertas: potential oops in debugfs
Summary: CVE-2013-6378 Kernel: drivers: libertas: potential oops in debugfs
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-6378
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20131122,reported=2...
Depends On: 1034176 1034177 1034178 1034181 1034182 1034183
Blocks: 1033575
TreeView+ depends on / blocked
 
Reported: 2013-11-22 12:24 UTC by Prasad J Pandit
Modified: 2019-06-08 19:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-17 09:33:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0100 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2014-01-28 22:38:58 UTC
Red Hat Product Errata RHSA-2014:0771 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-06-19 21:52:21 UTC

Description Prasad J Pandit 2013-11-22 12:24:09 UTC
Linux kernel built with the Marvell 8xxx Libertas WLAN driver support
(CONFIG_LIBERTAS) is vulnerable to an invalid pointer dereference flaw. It could 
occur while writing to a file under debugfs.

A privileged user could use this flaw to crash the system resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/a497e47d4aec37aaf8f13509f3ef3d1f6a717d88

Reference:
----------
  -> http://seclists.org/oss-sec/2013/q4/330

Comment 1 Prasad J Pandit 2013-11-25 12:00:24 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5.

Comment 4 Prasad J Pandit 2013-11-25 12:06:13 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1034183]

Comment 5 Fedora Update System 2013-12-04 16:50:41 UTC
kernel-3.11.10-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-12-07 06:58:25 UTC
kernel-3.11.10-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-12-10 06:16:31 UTC
kernel-3.11.10-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2014-01-28 17:41:22 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0100 https://rhn.redhat.com/errata/RHSA-2014-0100.html

Comment 9 errata-xmlrpc 2014-06-19 17:52:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0771 https://rhn.redhat.com/errata/RHSA-2014-0771.html


Note You need to log in before you can comment on or make changes to this bug.